unit SessionInfo;
interface
uses
  BaseSessionInfo;

type
  TSessionInfo = class(TBaseSessionInfo)
  public
    const FirstYear = 2004;
  public
    class function get_ActiveCompanyID: Integer; static;
    class procedure set_ActiveCompanyID(const Value: Integer); static;
  public
    class property ActiveCompanyID: Integer
      read get_ActiveCompanyID write set_ActiveCompanyID;
  end;

implementation
{$AUTOBOX ON}

{ SessionInfo }

class function TSessionInfo.get_ActiveCompanyID: Integer;
var
  Obj: TObject;
begin
  Obj := GetVar('ActiveCompanyID');
  if Assigned(Obj) then
    Result := Obj as System.Int32
  else
    Result := 0;
end;

class procedure TSessionInfo.set_ActiveCompanyID(const Value: Integer);
begin
  if ActiveCompanyID <> Value then
    SetVar('ActiveCompanyID',Value);
end;

end.
