unit BaseSessionInfo;
interface

type
  TBaseSessionInfo = class
  public
    class function GetVar(const aName: String): TObject;
    class procedure SetVar(const aName: String; const aValue: TObject);
    class procedure RemoveVar(const aName: String);
  end;

implementation
uses
  System.Web;
  
{$AUTOBOX ON}

{ BaseSessionInfo }

class function TBaseSessionInfo.GetVar(const aName: String): TObject;
begin
  Result := HttpContext.Current.Session[aName];
end;

class procedure TBaseSessionInfo.SetVar(const aName: String; const aValue: TObject);
begin
  HttpContext.Current.Session[aName] := aValue;
end;

class procedure TBaseSessionInfo.RemoveVar(const aName: String);
begin
  HttpContext.Current.Session.Remove(aName);
end;

end.
